# Package

version       = "0.1.1"
author        = "Jonathan Bernard"
description   = "Synchronization tool between JDB pit and Trello."
license       = "MIT"
srcDir        = "src"
bin           = @["pit2trello"]


# Dependencies

requires @[
  "nim >= 1.6.10",
  "docopt",
  "uuids >= 0.1.10",
  "zero_functional"
]

# Dependencies from git.jdb-software.com/jdb/nim-packages
requires @[
  "cliutils >= 0.8.1",
  "pit >= 4.23.3",
  "timeutils",
  "update_nim_package_version"
]

task updateVersion, "Update the version of this package.":
  exec "update_nim_package_version pit 'src/pit2trellopkg/cliconstants.nim'"
